Subject: Re: Refactor Netlink connector?

From: Thomas Graf <[email-masked]>
Date: Wed, 31 May 2006 05:00:46 +0200

* James Morris <[email-masked]> 2006-05-27 13:21
> Actually, a possible solution here is to completely remove all internal 
> knowledge of netlink messages from SELinux and have the netfilter 
> framework and protocols provide methods to determine message types and 
> permissions.

Right, regarding generic netlink we can extend struct genl_ops to
include a policy stating what permissions are required. Besides
that we can extend struct nla_policy to support validating of
attributes.